package com.zj365.mime.vm

import androidx.lifecycle.MutableLiveData
import com.xty.base.vm.BaseVm
import com.xty.network.model.AboutBean
import com.xty.network.model.PrevBean
import com.xty.network.model.RespBody

class AboutVm:BaseVm() {

    val timeTaskLive by lazy { MutableLiveData<String>() }
    val prevLive by lazy{ MutableLiveData<RespBody<MutableList<AboutBean>>>() }


    //4 关于
    fun getAbout(){
        startHttp {
            var response=apiInterface().getAbout()
            response.getCodeStatus(prevLive,nowData)
        }
    }
}